define([
    'Magento_Checkout/js/model/step-navigator',
    'mage/translate'
], function (stepNavigator, $t) {
    'use strict';

    var mixin = {

        /** @inheritdoc */
        initialize: function () {
            this._super();

            stepNavigator.steps().forEach(function (step) {
                switch (step.code) {
                    case 'payment':
                        step.title = $t("Payment");
                        break;
                }
            });

            return this;
        }
    };

    return function (target) {
        return target.extend(mixin);
    };
});